Skip to main content
`Ctrl`+`K`

# skbio.tree.TreeNode.subset

TreeNode.subset()

  Return set of names that descend from specified node.

  Get the set of name on tips that descend from this node.

  Returns:
    frozenset

      The set of names at the tips of the clade that descends from self

  See also

  `subsets`
  `compare_subsets`

  Examples

      >>> from skbio import TreeNode
      >>> tree = TreeNode.read(["((a,(b,c)d)e,(f,g)h)i;"])
      >>> sorted(tree.subset())
      ['a', 'b', 'c', 'f', 'g']